Subject: bug#78579: 30.0.92; Global variant of delete-trailing-whitespace-mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 24 May 2025 11:14:24 -0400

> `delete-trailing-whitespace-mode` was introduced in commit 8a19c249f81.
> Should there also be a `global-delete-trailing-whitespace-mode`?
> This would allow
>   (global-delete-trailing-whitespace-mode 1)
> and turning it off in an individual buffer with
>   (delete-trailing-whitespace-mode -1)

To define such a mode, we'll need to know when to enable it and when
not: I'd be surprised if adding `delete-trailing-whitespace` globally
to `before-save-hook` doesn't cause problems in various circumstances.

I don't have enough experience with that, so I'll let others decide if
and how to do it.

        Stefan